% planedemo.m

clear all;
close all;

d=dir('*.pgm');

num_im=length(d);

planes=cell(1,num_im);

for i=1:num_im
    nm=d(i).name;
    im=pgmread(nm);
    planes{i}=im;
end

% nn and mm should be integers between 1 and 8
nn=2; 
mm=3;

name1=d(nn).name;
name1=name1(1:end-4);
name2=d(mm).name;
name2=name2(1:end-4);

% make all images same size
N1=152;
N2=152;
[n1,n2]=size(planes{nn});
[m1,m2]=size(planes{mm});
V1=repmat(255,[N1 N2]);
V2=repmat(255,[N1 N2]);
V1(floor((N1-n1)/2)+1:N1-ceil((N1-n1)/2), ... 
    floor((N2-n2)/2)+1:N2-ceil((N2-n2)/2))=planes{nn};
V2(floor((N1-m1)/2)+1:N1-ceil((N1-m1)/2), ...
    floor((N2-m2)/2)+1:N2-ceil((N2-m2)/2))=planes{mm};

% shapesim has many internal parameters the user may play with
sim_measure=shapesim(V1,V2,name1,name2) 
